<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>SI-BKD-Rangkuman BKD</title>
</head>
<body>

<div layout:fragment="main" class="container">

  <div class="row mb-2">
    <H3 class="mb-4"><i class="fa-solid fa-ranking-star" style="color: #d3b30d"></i> Rangkuman BKD</H3>

    <div class="col-md-12 text-secondary">
        <div class="row p-1">
          <div class="col-md-2">Nama Lengkap</div><div class="col-md-6" th:text="${': ' + dosen.getNama()}"></div>
        </div>
        <div class="row p-1">
          <div class="col-md-2">NIDN</div><div class="col-md-6" th:text="${': ' + dosenDetail.getNidn()}"></div>
        </div>
        <div class="row p-1">
          <div class="col-md-2">Status Dosen</div><div class="col-md-6" th:text="${': ' + dosen.getJabatanStruktural().getNamaJabatanStruktural()}"></div>
        </div>
        <div class="row p-1">
          <div class="col-md-2">Semester/TA</div><div class="col-md-6" th:text="${': ' + semester.getNamaSemester()}"></div>
        </div>
        <div class="row p-1">
          <div class="col-md-2">Asesor 1</div>
          <div th:if="${dosen.getAsesorSatu() != null}" class="col-md-6" th:text="${': ' + dosen.getAsesorSatu().getNamaLengkap()}"></div>
          <div th:if="${dosen.getAsesorSatu() == null}" class="col-md-6">: -</div>
        </div>
        <div class="row p-1">
          <div class="col-md-2">Asesor 2</div>
          <div th:if="${dosen.getAsesorDua() != null}" class="col-md-6" th:text="${': ' + dosen.getAsesorDua().getNamaLengkap()}"></div>
          <div th:if="${dosen.getAsesorDua() == null}"class="col-md-6">: -</div>

          <div class="col-md-4" align="right">
            <form method="get">
              <div class="input-group">
                <select class="form-select" id="selecsemester" name="selectSemester" aria-label="Default select example" >
                  <option th:value="${null}" selected>Pilih Semester</option>
                  <option th:each="data : ${listSemester}"
                          th:selected="(${data} == *{semester})"
                          th:text="${data.namaSemester}"
                          th:value="${data.id}">Dosen Biasa</option>
                </select>
                <button class="btn btn-success" type="submit">Pilih</button>
              </div>
            </form>
          </div>
        </div>

<!--        </tbody>-->
<!--      </table>-->
    </div>
  </div>

  <div class="row mb-4">
    <div class="col-md-12 table-responsive">
      <table class="table table-bordered table-responsive mb-4">
        <thead class="table-dark bg-success border-white align-middle text-center" style="--bs-table-bg:bg-success;">
            <tr>
              <th rowspan="2" width="5px">No</th>
              <th rowspan="2">Jenis Kegiatan</th>
              <th rowspan="2">Syarat</th>
                <th rowspan="2">Kinerja</th>
              <th colspan="4">Rangkuman BKD</th>
            </tr>
            <tr>
              <th>Dosen</th>
              <th>Asesor 1</th>
              <th>Asesor 2</th>
              <th>Status</th>
            </tr>
        </thead>
          <tbody th:each="dataRangkumanBkd,row : ${rangkumanBkd}" class="text-secondary">
            <tr th:if="${((row.index + 2) % 2) == 1}" style="background-color: #e6f6eb">
                <td rowspan="2" class="align-middle text-end" th:text="${dataRangkumanBkd.getNomor()}"></td>
                <td rowspan="2" class="align-middle text-start" th:text="${dataRangkumanBkd.getKegiatan()}"></td>
                <td rowspan="2" class="align-middle text-center" th:text="${dataRangkumanBkd.getKetentuan()}"></td>
                <td rowspan="2" class="align-middle text-end" th:text="${dataRangkumanBkd.getKinerja()+ ' SKS'}"></td>
                <td rowspan="2" class="align-middle text-center text-success fw-bold" th:if="${dataRangkumanBkd.getDosenTercapai() =='M'}" th:text="${dataRangkumanBkd.getDosenTercapai()}"></td>
                <td rowspan="2" class="align-middle text-center text-danger fw-bold" th:if="${dataRangkumanBkd.getDosenTercapai() == 'T'}" th:text="${dataRangkumanBkd.getDosenTercapai()}"></td>
                <td class="align-middle text-end" th:text="${dataRangkumanBkd.getSksTerpenuhiAsesor1() + ' SKS'}"></td>
                <td class="align-middle text-end" th:text="${dataRangkumanBkd.getSksTerpenuhiAsesor2() + ' SKS'}"></td>
                <td rowspan="2" class="align-middle text-center">
                    <div th:if="${dataRangkumanBkd.getStatusAkhir() == 'M'}" class="bg-success bg-opacity-10 border border-success border-start-0 border-end-0" align="center">
                        <span style="color: seagreen">Memenuhi</span>
                    </div>
                    <div th:if="${dataRangkumanBkd.getStatusAkhir() == 'T'}" class="bg-danger bg-opacity-10 border border-danger border-start-0 border-end-0" align="center">
                        <span style="color: red">Tidak Memenuhi</span>
                    </div>
                </td>
            </tr>
          <tr th:if="${((row.index + 2) % 2) == 1}" style="background-color: #e6f6eb">
              <td class="align-middle text-center text-success fw-bold" th:if="${dataRangkumanBkd.getAsesorTercapai1() == 'M'}" th:text="${dataRangkumanBkd.getAsesorTercapai1()}"></td>
              <td class="align-middle text-center text-danger fw-bold" th:if="${dataRangkumanBkd.getAsesorTercapai1() == 'T'}" th:text="${dataRangkumanBkd.getAsesorTercapai1()}"></td>

              <td class="align-middle text-center text-success fw-bold" th:if="${dataRangkumanBkd.getAsesorTercapai2() == 'M'}" th:text="${dataRangkumanBkd.getAsesorTercapai2()}"></td>
              <td class="align-middle text-center text-danger fw-bold" th:if="${dataRangkumanBkd.getAsesorTercapai2() == 'T'}" th:text="${dataRangkumanBkd.getAsesorTercapai2()}"></td>
          </tr>

            <tr th:if="${((row.index + 2) % 2) == 0}">
                <td rowspan="2" class="align-middle text-end" th:text="${dataRangkumanBkd.getNomor()}"></td>
                <td rowspan="2" class="align-middle text-start" th:text="${dataRangkumanBkd.getKegiatan()}"></td>
                <td rowspan="2" class="align-middle text-center" th:text="${dataRangkumanBkd.getKetentuan()}"></td>
                <td rowspan="2" class="align-middle text-end" th:text="${dataRangkumanBkd.getKinerja()+ ' SKS'}"></td>
                <td rowspan="2" class="align-middle text-center text-success fw-bold" th:if="${dataRangkumanBkd.getDosenTercapai() =='M'}" th:text="${dataRangkumanBkd.getDosenTercapai()}"></td>
                <td rowspan="2" class="align-middle text-center text-danger fw-bold" th:if="${dataRangkumanBkd.getDosenTercapai() == 'T'}" th:text="${dataRangkumanBkd.getDosenTercapai()}"></td>
                <td class="align-middle text-end" th:text="${dataRangkumanBkd.getSksTerpenuhiAsesor1() + ' SKS'}"></td>
                <td class="align-middle text-end" th:text="${dataRangkumanBkd.getSksTerpenuhiAsesor2() + ' SKS'}"></td>
                <td rowspan="2" class="align-middle text-center">
                    <div th:if="${dataRangkumanBkd.getStatusAkhir() == 'M'}" class="bg-success bg-opacity-10 border border-success border-start-0 border-end-0" align="center">
                        <span style="color: seagreen">Memenuhi</span>
                    </div>
                    <div th:if="${dataRangkumanBkd.getStatusAkhir() == 'T'}" class="bg-danger bg-opacity-10 border border-danger border-start-0 border-end-0" align="center">
                        <span style="color: red">Tidak Memenuhi</span>
                    </div>
                </td>
            </tr>
            <tr th:if="${((row.index + 2) % 2) == 0}">
                <td class="align-middle text-center text-success fw-bold" th:if="${dataRangkumanBkd.getAsesorTercapai1() == 'M'}" th:text="${dataRangkumanBkd.getAsesorTercapai1()}"></td>
                <td class="align-middle text-center text-danger fw-bold" th:if="${dataRangkumanBkd.getAsesorTercapai1() == 'T'}" th:text="${dataRangkumanBkd.getAsesorTercapai1()}"></td>

                <td class="align-middle text-center text-success fw-bold" th:if="${dataRangkumanBkd.getAsesorTercapai2() == 'M'}" th:text="${dataRangkumanBkd.getAsesorTercapai2()}"></td>
                <td class="align-middle text-center text-danger fw-bold" th:if="${dataRangkumanBkd.getAsesorTercapai2() == 'T'}" th:text="${dataRangkumanBkd.getAsesorTercapai2()}"></td>
            </tr>
          </tbody>
      </table>
    </div>
      <p class="text-black fw-bold">Keterangan :</p>
      <p><span class="text-success fw-bold">M </span><span>: Memenuhi Kriteria</span></p>
      <p><span class="text-danger fw-bold">T </span><span>: Tidak Memenuhi Kriteria</span></p>
  </div>

</div>
<div layout:fragment="footer" class="script">
  <script>

    $( '#selecsemester' ).select2( {
      theme: "bootstrap-5",
      width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
      placeholder: $( this ).data( 'placeholder' ),
    } );

  </script>
</div>
</body>
</html>